Bug 47824 - the first time it starts up, mozilla doesn't go to page specified in prefs
Summary: the first time it starts up, mozilla doesn't go to page specified in prefs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-07 23:33 UTC by Telsa Gwynne
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-07 23:33:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Telsa Gwynne 2001-07-07 23:33:03 UTC
Install fairfax.
Create test user not used before.
Start X.
Start Mozilla.

(You end up on the Mozilla home page.)

Open edit->prefs->navigator. It has a "when navigator starts up" option.
It is on "home page". It has a "home page" option. It is on
file:///usr/share/doc/HTML/index.html.

Close mozilla. Re-start it.

It opens on the /usr/share/doc/HTML/index.html.

This is definitely a better place for users who may not have a net
connection up at first: but why is it heading out onto the net the
first time?

Comment 1 Christopher Blizzard 2001-07-09 01:09:42 UTC
This is actually a feature. :)

Even more ironic, it's a feature that is actually broken in 0.9.2 so it will go
to the url that is specified in the home page right now.  So this isn't a
problem with the 0.9.2 release rpms.  I tested it out by renaming my .mozilla
directory and allowing it to create a new profile and it still went to correct
location on the local filesystem.

I suspect that you're using 0.9.1?  Here's the checkin "fixing" this feature on
the 0.9.2 branch checked in after the 0.9.2 release was cut.

http://bonsai.mozilla.org/cvsview2.cgi?diff_mode=context&whitespace_mode=show&subdir=mozilla/xpfe/bootstrap&command=DIFF_FRAMESET&file=nsAppRunner.cpp&rev1=1.284.2.1&rev2=1.284.2.2&root=/cvsroot

( For future releases, though, I will have to set
'browser.startup.homepage_override.1' to false in
/usr/lib/mozilla/defaults/pref/all.js. )


Note You need to log in before you can comment on or make changes to this bug.